Summary:	GNOME Robots game
Summary(pl.UTF-8):	Gra Robots dla GNOME
Name:		gnome-robots
Version:	40.0
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/gnome-robots/40/%{name}-%{version}.tar.xz
# Source0-md5:	041b5df6329df23434edb267bafab3eb
URL:		https://wiki.gnome.org/Apps/Robots
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gsound-devel >= 1.0.2
BuildRequires:	gtk+3-devel >= 3.24.0
BuildRequires:	libgee-devel >= 0.8
BuildRequires:	libgnome-games-support-devel >= 1.7.1
BuildRequires:	librsvg-devel >= 2.36.2
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	vala-gsound >= 1.0.2
BuildRequires:	vala-libgee >= 0.8
BuildRequires:	vala-libgnome-games-support >= 1.7.1
BuildRequires:	vala-librsvg >= 2.36.2
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.32.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.32.0
Requires:	gsound >= 1.0.2
Requires:	gtk+3 >= 3.24.0
Requires:	hicolor-icon-theme
Requires:	libgee >= 0.8
Requires:	libgnome-games-support >= 1.7.1
Requires:	librsvg >= 2.36.2
Provides:	gnome-games-gnobots2 = 1:%{version}-%{release}
Obsoletes:	gnome-games-gnobots2 < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Robots is the classic robots game where you have to avoid the
robots and make them crash into each other.

%description -l pl.UTF-8
GNOME Robots to klasyczna gra z robotami, polegająca na unikaniu ich i
powodowaniu, żeby zderzały się ze sobą wzajemnie.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/gnome-robots
%{_datadir}/dbus-1/services/org.gnome.Robots.service
%{_datadir}/glib-2.0/schemas/org.gnome.Robots.gschema.xml
%{_datadir}/gnome-robots
%{_datadir}/metainfo/org.gnome.Robots.appdata.xml
%{_desktopdir}/org.gnome.Robots.desktop
%{_iconsdir}/hicolor/24x24/actions/teleport*.png
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Robots.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Robots-symbolic.svg
%{_mandir}/man6/gnome-robots.6*
%changelog
* Sat Apr 03 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-robots.git;a=log;h=master

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> ad940d4
- vala BRs

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> 87dd4b0
- updated to 40.0

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> f890e62
- updated to 3.38.0

* Thu Apr 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 024413c
- updated to 3.36.1

* Thu Jan 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 15c931e
- updated to 3.34.1

* Tue Nov 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 397a3b1
- updated to 3.34.0

* Wed Mar 21 2018 Jan Rękorajski <baggins@pld-linux.org> 3a60f01
- release 2 (by relup.sh)

* Thu Nov 10 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 6df7470
- Update to 3.22.1

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e309ce8
- Update to 3.22.0

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> b339311
- updated to 3.20.2

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 83560d7
- Update to 3.20.0.1

* Sat Nov 07 2015 Marcin Banasiak <marcin.banasiak@gmail.com> a2604ab
- Update to 3.18.1

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> c8429ce
- updated to 3.18.0

* Mon May 18 2015 Jakub Bogusz <qboosh@pld-linux.org> a55cbc8
- updated to 3.16.1

* Sun Feb 01 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 28ede32
- Update to 3.14.2

* Mon Jun 23 2014 Jakub Bogusz <qboosh@pld-linux.org> a4a19ad
- more verbose icon files

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 95a7638
- updated to 3.12.3, fixed pl translation

* Thu May 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> fc55bd9
- Update to 3.12.2

* Sun Apr 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 5d3cbb5
- Update to 3.12.1

* Sat Apr 12 2014 Marcin Banasiak <marcin.banasiak@gmail.com> b6d826c
- New

